Subject: Re: bug spec pair

From: Zheng Gengbing <[email-masked]>
Date: Fri, 17 May 1996 17:00:40 +0800 (EAT)

On Thu, 16 May 1996, Guansong Zhang wrote:

> On May 16,  9:06am, Zheng Gengbing wrote:
> > Subject: Re: bug spec pair
> > On Wed, 15 May 1996, Guansong Zhang wrote:
> >
> > > look at the following program and its unparse results, please,
> > >
> > > ++++++++++++++++++++++++++++++++++++++
> > > program aa
> > > read ( *,end=100 ) city_input
> > > 100      format ( a25 )
> > > end
> > > ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > >       program aa
> > >       read (unit=*,end=END=) city_input
> > > 100      format (A25)
> > >       end program
> > > ======================================
> > >
> > > Some how, the definition for spec_pair is not uninamous. So unparse will
> deal
> > > with end=100 differently.
> > >
> > > and look up dumpdep result, I can find a 4-E linked to no where as its
> root. I
> > > don't understand the definition.
> > >
> >
> >
> > 	But it link to 1-L , which is a label of 100 .
> >
> 
> I mean where is the 4-E's root. It seems it comes from no where.
> 

	The 4-E is created but never used in f90.y . I don't know why
HIT do so. It seems that HIT  use the rule - label ,which return a LLND
of LABEL_REF , but only use the label ptr in that llnd . This kind of 
thing also occurs in many other cases when rule - label is used .
	Anyway it doesn't matter to both hpfsc and unparser now except
that dumpdep get a uncomfortable look .

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************